From 48837576ef9e68d066fffcc0769cf6d6fa5c54a8 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Wed, 23 Nov 2022 16:31:30 +1100
Subject: [PATCH v6] Re-order Table 28.35 "Per-Backend Statistics Functions"

---
 doc/src/sgml/monitoring.sgml | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index b80297f..2f10413 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -5564,19 +5564,6 @@ FROM pg_stat_get_backend_idset() AS backendid;
       <row>
        <entry role="func_table_entry"><para role="func_signature">
         <indexterm>
-         <primary>pg_stat_get_backend_idset</primary>
-        </indexterm>
-        <function>pg_stat_get_backend_idset</function> ()
-        <returnvalue>setof integer</returnvalue>
-       </para>
-       <para>
-        Returns the set of currently active backend ID numbers.
-       </para></entry>
-      </row>
-
-      <row>
-       <entry role="func_table_entry"><para role="func_signature">
-        <indexterm>
          <primary>pg_stat_get_backend_activity</primary>
         </indexterm>
         <function>pg_stat_get_backend_activity</function> ( <type>integer</type> )
@@ -5642,6 +5629,19 @@ FROM pg_stat_get_backend_idset() AS backendid;
       <row>
        <entry role="func_table_entry"><para role="func_signature">
         <indexterm>
+         <primary>pg_stat_get_backend_idset</primary>
+        </indexterm>
+        <function>pg_stat_get_backend_idset</function> ()
+        <returnvalue>setof integer</returnvalue>
+       </para>
+       <para>
+        Returns the set of currently active backend ID numbers.
+       </para></entry>
+      </row>
+
+      <row>
+       <entry role="func_table_entry"><para role="func_signature">
+        <indexterm>
          <primary>pg_stat_get_backend_pid</primary>
         </indexterm>
         <function>pg_stat_get_backend_pid</function> ( <type>integer</type> )
@@ -5681,29 +5681,29 @@ FROM pg_stat_get_backend_idset() AS backendid;
       <row>
        <entry role="func_table_entry"><para role="func_signature">
         <indexterm>
-         <primary>pg_stat_get_backend_wait_event_type</primary>
+         <primary>pg_stat_get_backend_wait_event</primary>
         </indexterm>
-        <function>pg_stat_get_backend_wait_event_type</function> ( <type>integer</type> )
+        <function>pg_stat_get_backend_wait_event</function> ( <type>integer</type> )
         <returnvalue>text</returnvalue>
        </para>
        <para>
-        Returns the wait event type name if this backend is currently waiting,
-        otherwise NULL.  See <xref linkend="wait-event-table"/> for details.
+        Returns the wait event name if this backend is currently waiting,
+        otherwise NULL. See <xref linkend="wait-event-activity-table"/> through
+        <xref linkend="wait-event-timeout-table"/>.
        </para></entry>
       </row>
 
       <row>
        <entry role="func_table_entry"><para role="func_signature">
         <indexterm>
-         <primary>pg_stat_get_backend_wait_event</primary>
+         <primary>pg_stat_get_backend_wait_event_type</primary>
         </indexterm>
-        <function>pg_stat_get_backend_wait_event</function> ( <type>integer</type> )
+        <function>pg_stat_get_backend_wait_event_type</function> ( <type>integer</type> )
         <returnvalue>text</returnvalue>
        </para>
        <para>
-        Returns the wait event name if this backend is currently waiting,
-        otherwise NULL. See <xref linkend="wait-event-activity-table"/> through
-        <xref linkend="wait-event-timeout-table"/>.
+        Returns the wait event type name if this backend is currently waiting,
+        otherwise NULL.  See <xref linkend="wait-event-table"/> for details.
        </para></entry>
       </row>
 
-- 
1.8.3.1

